{ config, lib, pkgs, ... }:
let
  common = import ../../common { inherit pkgs; };
in {
  services = {
    minecraft-servers.servers.marsh = {
      package = pkgs.paperServers.paper-1_21_4;
      jvmOpts = "-Xmx2000M";
      serverProperties = common.serverProperties // {
        difficulty = 3;
        server-port = 30017;
        motd = "\\u00A7l\\u00A72Murky.";
      };
      whitelist = common.whitelist;
      symlinks = common.paperSymlinks;
      files = common.configFiles;
    };
    cloudflare-dyndns.domains = lib.mkIf config.services.minecraft-servers.servers.marsh.enable [ "marsh.nixfox.ca" ];
  };
}
